package  
{
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Backdrop;
	import net.flashpunk.World;
	
	public class GameWorld extends World 
	{
		
		public static var _player:Player = new Player;
		private var cameraSpeed:Number = 50; 
		private var nextSpawn:Number = 1;
		
		public function GameWorld() 
		{
			_player.x = 64;
			_player.y = 240;
			add(_player);

			var b:Backdrop = new Backdrop(Assets.GRAPHIC_STARS, true, true);
			b.scrollX = 0.5;
			b.scrollY = 0.5;
			
			var e:Entity = new Entity;
			e.graphic = b;
			e.layer = 100;
			add(e);
			
		}
		
		override public function update():void
		{
			super.update();
			camera.x += cameraSpeed * FP.elapsed;
			_player.x += cameraSpeed * FP.elapsed;
			nextSpawn -= FP.elapsed;
			if (nextSpawn <= 0) {
				nextSpawn = 1;
				var _enemy:Enemy = create(Enemy) as Enemy;
				_enemy.x = FP.camera.x + FP.width + 100;
				_enemy.y = FP.rand(FP.height);
				add(_enemy);
			}
			
		}
		
	}
}